> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# appointmenttask

> MDO list provider for the task list of the AppointmentDialog. This list extends the basic &lt;see cref="T:SuperOffice.CRM.Rows.TaskRow" /&gt; with specialized icons based on the &lt;see cref="T:SuperOffice.Data.TaskType" /&gt;.

## "appointmenttask" MDO List

MDO list provider for the task list of the AppointmentDialog. This list extends the basic \<see cref="T:SuperOffice.CRM.Rows.TaskRow" /> with
specialized icons based on the \<see cref="T:SuperOffice.Data.TaskType" />.

Implemented by the \<see cref="T:SuperOffice.CRM.Lists.AppointmentTaskProvider">AppointmentTaskProvider\</see> class.
The name of the MDO list is 'appointmenttask'.

## Additional Attributes

| Description                                                         | Name           | Example Value |
| ------------------------------------------------------------------- | -------------- | ------------- |
| Set to true to get icon hints in format diary\_color\_\<colorIndex> | colorIconHints | false         |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/appointmenttask
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("appointmenttask", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo                         |
| -- | ----------- | --------- | --------------------------------- |
| 12 | Annet       |           | freebusy=0;allday=0;ispublished=0 |
| 7  | Besøk       |           | freebusy=0;allday=0;ispublished=0 |
| 14 | Kampanje    |           | freebusy=0;allday=0;ispublished=0 |
| 8  | Lunsj       |           | freebusy=0;allday=0;ispublished=0 |
| 13 | Messe       |           | freebusy=0;allday=0;ispublished=0 |
| 1  | Møte inne   |           | freebusy=0;allday=0;ispublished=0 |
| 2  | Møte ute    |           | freebusy=0;allday=0;ispublished=0 |
| 5  | Oppfølging  |           | freebusy=0;allday=0;ispublished=0 |
| 6  | Planlegging |           | freebusy=0;allday=0;ispublished=0 |
| 11 | Privat      |           | freebusy=0;allday=0;ispublished=0 |
| 10 | Service     |           | freebusy=0;allday=0;ispublished=0 |
| 4  | Telefon inn |           | freebusy=0;allday=0;ispublished=0 |
| 3  | Telefon ut  |           | freebusy=0;allday=0;ispublished=0 |
| 9  | Tilbud      |           | freebusy=0;allday=0;ispublished=0 |


## Related topics

- [saintdirection](/en/api/mdo-providers/reference/saintdirection.md)
- [saintactivitytype](/en/api/mdo-providers/reference/saintactivitytype.md)
- [Create Default E Mail Appointment](/en/api/reference/restful/agent/email_agent/create-default-e-mail-appointment.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [Get Email Appointment](/en/api/reference/restful/agent/email_agent/get-email-appointment.md)
- [Validate Sale Entity](/en/api/reference/restful/rest/sale/validate-sale-entity.md)
